//
//  OnboardingStepsFactory.swift
//  MinGraviditet
//
//  Created by Thomas Kalhøj Clemensen on 19/10/2020.
//

import Foundation

final class OnboardingStepsFactory {
    static var steps: [OnboardingStepViewModel] {
        [
            OnboardingStepViewModel(
                title: R.string.localizable.onboarding_overview_title(),
                subtitle: R.string.localizable.onboarding_overview_text(),
                image: R.image.onboarding_overview()
            ),
            OnboardingStepViewModel(
                title: R.string.localizable.onboarding_appointments_title(),
                subtitle: R.string.localizable.onboarding_appointments_text(),
                image: R.image.onboarding_appointments()
            ),
            OnboardingStepViewModel(
                title: R.string.localizable.onboarding_knowledge_title(),
                subtitle: R.string.localizable.onboarding_knowledge_text(),
                image: R.image.onboarding_knowledge()
            ),
            OnboardingStepViewModel(
                title: R.string.localizable.onboarding_journal_title(),
                subtitle: R.string.localizable.onboarding_journal_text(),
                image: R.image.onboarding_journal()
            )
        ]
    }
}
